vlogconf(8)

NAME
vlogconf - configuration utility for OpenFlow logging in userspace

SYNOPSIS
vlogconf [-h | --help] [target...] [action...]

The available target options are:
[-a | --all] [-t pid | --target=pid]

The available action options are:
[-l | --list] [-s module[:facility[:level]] | --set=module[:facility[:level]]] [-r | --reopen]

DESCRIPTION
The vlogconf program configures the logging system used by OpenFlow userspace programs. The logging configuration may be modified while OpenFlow programs are running.

vlogconf applies one or more actions to each of one or more target processes. Targets may be specified as:

-a, --all
    All running processes that vlogconf can control.

-t target, --target=target
    The specified target, which must take one of the following forms:

    •   A PID (process ID).

    •   An absolute path (beginning with `/') to the Unix domain socket for a vlogconf-controllable process.

    •   An absolute path (beginning with `/') to a pidfile (created by, e.g., passing the -P or --pidfile option to one of the OpenFlow programs).

    •   None of the above, in which case target prefixed by /var/run/ must match one of the cases for absolute paths listed above. (The default name for a program's pidfile is /var/run/program.pid, so this means that, say, ofprotocol's default pidfile may be referred to simply as ofprotocol.pid.)

The available actions are:

-l, --list
    Print the list of known modules and their current logging levels to stdout.

-s module[:facility[:level]], --set=module[:facility[:level]]

    Sets the logging level for module in facility to level. The module may be any valid module name (as displayed by the --list option) or the special name ANY to set the logging levels for all modules. The facility may be syslog or console to set the levels for logging to the system log or to the console, respectively, or ANY to set the logging levels for both facilities. If it is omitted, facility defaults to ANY. The level must be one of emer, err, warn, info, or dbg, designating the minimum severity of a message for it to be logged. If it is omitted, level defaults to dbg.

-s PATTERN:facility:pattern, --set=PATTERN:facility:pattern

    Sets the log pattern for facility to pattern. Each time a message is logged to facility, pattern determines the message's formatting. Most characters in pattern are copied literally to the log, but special escapes beginning with % are expanded as follows:

    %A  The name of the application logging the message, e.g. ofprotocol.

    %c  The name of the module (as shown by vlogconf --list) logging the message.

    %d  The current date and time in ISO 8601 format (YYYY-MM-DD HH:MM:SS).

    %d{format}
        The current date and time in the specified format, which takes the same format as the template argument to strftime(3).

    %m  The message being logged.

    %N  A serial number for this message within this run of the program, as a decimal number. The first message a program logs has serial number 1, the second one has serial number 2, and so on.

    %n  A new-line.

    %p  The level at which the message is logged, e.g. DBG.

    %P  The program's process ID (pid), as a decimal number.

    %r  The number of milliseconds elapsed from the start of the application to the time the message was logged.

    %%  A literal %.

    A few options may appear between the % and the format specifier character, in this order:

    -   Left justify the escape's expansion within its field width. Right justification is the default.

    0   Pad the field to the field width with 0s. Padding with spaces is the default.

    width
        A number specifies the minimum field width. If the escape expands to fewer characters than width then it is padded to fill the field width. (A field wider than width is not truncated to fit.)

    The default pattern for console output is %d{%b %d %H:%M:%S}|%05N|%c|%p|%m; for syslog output, %05N|%c|%p|%m.

-r, --reopen
    Causes the target application to close and reopen its log file. (This is useful after rotating log files, to cause a new log file to be used.)

OPTIONS

-h, --help
    Prints a brief help message to the console.

-V, --version
    Prints version information to the console.

SEE ALSO

dpctl(8), ofprotocol(8), controller(8)